=== modified file 'loggerhead/__init__.py'
--- loggerhead/__init__.py	2008-06-10 22:44:49 +0000
+++ loggerhead/__init__.py	2008-06-18 06:34:10 +0000
@@ -1,2 +0,0 @@
-# Register the 'zpt' template handler:
-import turbosimpletal

=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2008-06-18 04:16:21 +0000
+++ loggerhead/apps/config.py	2008-06-18 06:34:10 +0000
@@ -10,17 +10,13 @@
 from paste import httpexceptions
 from paste.wsgiwrappers import WSGIResponse
 
-from turbosimpletal import TurboZpt
-
 from loggerhead.apps.branch import BranchWSGIApp
 from loggerhead.apps import static_app
 from loggerhead.history import History
 from loggerhead.templatefunctions import templatefunctions
+from loggerhead.zptsupport import load_template
 from loggerhead import util
 
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.browse')
-
 log = logging.getLogger("loggerhead.controllers")
 
 from loggerhead.history import is_branch
@@ -121,7 +117,8 @@
         }
         vals.update(templatefunctions)
         response.headers['Content-Type'] = 'text/html'
-        tt.expand_(response, **vals)
+        template = load_template('loggerhead.templates.browse')
+        template.expand_into(response, **vals)
 
     def __call__(self, environ, start_response):
         self._static_url_base = environ['loggerhead.static.url'] = environ['SCRIPT_NAME']

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2008-06-16 11:38:05 +0000
+++ loggerhead/controllers/annotate_ui.py	2008-06-18 06:34:10 +0000
@@ -27,12 +27,7 @@
 
 from loggerhead import util
 from loggerhead.templatefunctions import templatefunctions
-
-
-from turbosimpletal import TurboZpt
-
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.annotate')
+from loggerhead.zptsupport import load_template
 
 
 log = logging.getLogger("loggerhead.controllers")
@@ -107,6 +102,7 @@
             vals.update(templatefunctions)
             self.log.info('/annotate: %r secs' % (time.time() - z,))
             response.headers['Content-Type'] = 'text/html'
-            tt.expand_(response, **vals)
+            template = load_template('loggerhead.templates.annotate')
+            template.expand_into(response, **vals)
         finally:
             h._branch.unlock()

=== modified file 'loggerhead/controllers/atom_ui.py'
--- loggerhead/controllers/atom_ui.py	2008-06-18 04:16:21 +0000
+++ loggerhead/controllers/atom_ui.py	2008-06-18 06:34:10 +0000
@@ -17,14 +17,9 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-
 from loggerhead import util
 from loggerhead.templatefunctions import templatefunctions
-
-from turbosimpletal import TurboZpt
-
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.atom')
+from loggerhead.zptsupport import load_template
 
 
 class AtomUI (object):
@@ -53,6 +48,7 @@
             }
             vals.update(templatefunctions)
             response.headers['Content-Type'] = 'application/atom+xml'
-            tt.expand_(response, **vals)
+            template = load_template('loggerhead.templates.atom')
+            template.expand_into(response, **vals)
         finally:
             h._branch.unlock()

=== modified file 'loggerhead/controllers/bundle_ui.py'
--- loggerhead/controllers/bundle_ui.py	2008-06-16 08:08:33 +0000
+++ loggerhead/controllers/bundle_ui.py	2008-06-18 06:34:10 +0000
@@ -21,6 +21,7 @@
 from paste import httpexceptions
 from paste.request import path_info_pop
 
+
 class BundleUI (object):
 
     def __init__(self, branch):

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2008-06-16 11:38:05 +0000
+++ loggerhead/controllers/changelog_ui.py	2008-06-18 06:34:10 +0000
@@ -24,12 +24,9 @@
 
 from loggerhead import util
 from loggerhead.templatefunctions import templatefunctions
-
-
-from turbosimpletal import TurboZpt
-
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.changelog')
+from loggerhead.zptsupport import load_template
+
+
 
 class ChangeLogUI (object):
     
@@ -126,6 +123,7 @@
             vals.update(templatefunctions)
             self.log.info('/changes %r: %r secs' % (revid, time.time() - z))
             response.headers['Content-Type'] = 'text/html'
-            tt.expand_(response, **vals)
+            template = load_template('loggerhead.templates.changelog')
+            template.expand_into(response, **vals)
         finally:
             h._branch.unlock()

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-06-16 11:38:05 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-06-18 06:34:10 +0000
@@ -21,14 +21,12 @@
 import posixpath
 import time
 
+from paste.httpexceptions import HTTPServerError
+from paste.request import path_info_pop
+
 from loggerhead import util
 from loggerhead.templatefunctions import templatefunctions
-from turbosimpletal import TurboZpt
-from paste.httpexceptions import HTTPServerError
-from paste.request import path_info_pop
-
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.inventory')
+from loggerhead.zptsupport import load_template
 
 
 log = logging.getLogger("loggerhead.controllers")
@@ -116,6 +114,7 @@
             vals.update(templatefunctions)
             self.log.info('/inventory %r: %r secs' % (revid, time.time() - z))
             response.headers['Content-Type'] = 'text/html'
-            tt.expand_(response, **vals)
+            template = load_template('loggerhead.templates.inventory')
+            template.expand_into(response, **vals)
         finally:
             h._branch.unlock()

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2008-06-16 11:38:05 +0000
+++ loggerhead/controllers/revision_ui.py	2008-06-18 06:34:10 +0000
@@ -24,10 +24,7 @@
 
 from loggerhead import util
 from loggerhead.templatefunctions import templatefunctions
-from turbosimpletal import TurboZpt
-
-t = TurboZpt()
-tt = t.load_template('loggerhead.templates.revision')
+from loggerhead.zptsupport import load_template
 
 
 DEFAULT_LINE_COUNT_LIMIT = 3000
@@ -116,6 +113,7 @@
             vals.update(templatefunctions)
             self.log.info('/revision: %r seconds' % (time.time() - z,))
             response.headers['Content-Type'] = 'text/html'
-            tt.expand_(response, **vals)
+            template = load_template('loggerhead.templates.revision')
+            template.expand_into(response, **vals)
         finally:
             h._branch.unlock()

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-06-16 11:38:05 +0000
+++ loggerhead/templatefunctions.py	2008-06-18 06:34:10 +0000
@@ -1,5 +1,5 @@
 import os
-from turbosimpletal.zptsupport import zpt
+from loggerhead.zptsupport import zpt
 
 templatefunctions = {}
 def templatefunc(func):

=== renamed file 'turbosimpletal/tests/simple.pt' => 'loggerhead/tests/simple.pt'
=== renamed file 'turbosimpletal/tests/test_zpt.py' => 'loggerhead/tests/test_templating.py'
--- turbosimpletal/tests/test_zpt.py	2008-06-11 03:41:46 +0000
+++ loggerhead/tests/test_templating.py	2008-06-18 06:34:10 +0000
@@ -1,26 +1,12 @@
-from turbosimpletal import TurboZpt
-from turbogears import controllers, expose, testutil
-import cherrypy
+from loggerhead.zptsupport import load_template
 
 RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n<body>\n<div>Hello, %s</div>\n</body>\n</html>"
 
 def test_template_lookup():
-    tc = TurboZpt()
-    template = tc.load_template("turbosimpletal.tests.simple")
+    template = load_template("loggerhead.tests.simple")
     assert template
     TITLE="test"
     NAME="World"
     info = dict(title=TITLE, name=NAME)
     s = template.expand(**info)
     assert s.startswith(RENDERED % (TITLE, NAME))
-
-class TestRoot(controllers.Root):
-    @expose(html="zpt:turbosimpletal.tests.simple")
-    def index(self, name, title="test"):
-        return dict(name=name, title=title)
-
-def test_real_life_situation():
-    cherrypy.root = TestRoot()
-    NAME="Dave"
-    testutil.createRequest("/?name=%s" % NAME)
-    assert cherrypy.response.body[0].startswith(RENDERED % ("test", NAME))

=== renamed file 'turbosimpletal/zptsupport.py' => 'loggerhead/zptsupport.py'
--- turbosimpletal/zptsupport.py	2008-06-15 06:43:31 +0000
+++ loggerhead/zptsupport.py	2008-06-18 06:34:10 +0000
@@ -1,11 +1,15 @@
-"TurboGears support for Zope Page Templates"
+"""Support for Zope Page Templates using the simpletal library."""
 
-import StringIO
+import logging
 import os
 import pkg_resources
+import StringIO
 
 from simpletal import simpleTAL, simpleTALES
 
+logging.getLogger("simpleTAL").setLevel(logging.INFO)
+logging.getLogger("simpleTALES").setLevel(logging.INFO)
+
 
 _zpt_cache = {}
 def zpt(tfile):
@@ -32,7 +36,7 @@
         self.template.expandInline(context, s)
         return s.getvalue()
 
-    def expand_(self, f, **info):
+    def expand_into(self, f, **info):
         context = simpleTALES.Context(allowPythonPath=1)
         for k, v in info.iteritems():
             context.addGlobal(k, v)
@@ -43,27 +47,20 @@
         return self.template.macros
 
 
-class TurboZpt(object):
-    extension = "pt"
-
-    def __init__(self, extra_vars_func=None):
-        self.get_extra_vars = extra_vars_func
-
-    def load_template(self, classname, loadingSite=False):
-        """Searches for a template along the Python path.
-
-        Template files must end in ".pt" and be in legitimate packages.
-        Templates are automatically checked for changes and reloaded as
-        neccessary.
-        """
-        divider = classname.rfind(".")
-        if divider > -1:
-            package = classname[0:divider]
-            basename = classname[divider+1:]
-        else:
-            raise ValueError, "All templates must be in a package"
-
-        tfile = pkg_resources.resource_filename(
-            package, "%s.%s" % (basename, self.extension))
-        return zpt(tfile)
-
+def load_template(classname):
+    """Searches for a template along the Python path.
+
+    Template files must end in ".pt" and be in legitimate packages.
+    Templates are automatically checked for changes and reloaded as
+    neccessary.
+    """
+    divider = classname.rfind(".")
+    if divider > -1:
+        package = classname[0:divider]
+        basename = classname[divider+1:]
+    else:
+        raise ValueError, "All templates must be in a package"
+
+    tfile = pkg_resources.resource_filename(
+        package, "%s.%s" % (basename, "pt"))
+    return zpt(tfile)

=== removed directory 'turbosimpletal'
=== removed file 'turbosimpletal/__init__.py'
--- turbosimpletal/__init__.py	2008-06-13 05:33:39 +0000
+++ turbosimpletal/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-from turbosimpletal import zptsupport
-
-TurboZpt = zptsupport.TurboZpt
-
-__all__ = ["TurboZpt"]
-
-import logging
-simpleTALLogger = logging.getLogger("simpleTAL")
-simpleTALESLogger = logging.getLogger("simpleTALES")
-simpleTALLogger.setLevel(logging.INFO)
-simpleTALESLogger.setLevel(logging.INFO)

=== removed directory 'turbosimpletal/tests'
=== removed file 'turbosimpletal/tests/__init__.py'
